camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-11430) Add support for Spring Boot 2.0.x
Date Sun, 03 Sep 2017 08:18:03 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-11430?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16151737#comment-16151737
] 

Claus Ibsen commented on CAMEL-11430:
-------------------------------------

Camel 2.20 will not target spring boot 2 - we are stating on 1.5.x.

Also we do not want to do releases of 1.x and 2.x -starter components as we have 180+ of those.
When we upgrade to spring boot 2.x then we drop support for 1.x on that Camel release going
forward. Whether that will be 2.21 or 3.0 or something then time will tell.

> Add support for Spring Boot 2.0.x
> ---------------------------------
>
>                 Key: CAMEL-11430
>                 URL: https://issues.apache.org/jira/browse/CAMEL-11430
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-spring-boot
>            Reporter: Marcin Grzejszczak
>             Fix For: Future
>
>
> Hello!
> It would be great to add compatibility with Boot 2.0.x . Spring Cloud Contract uses Camel
but in the 2.0.x branch (that is compatible with Boot 2.0.x ) we can't actually use it.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message